### Method

# JavaScriptCore Value object_delete_property

#### Declaration [src]

    gboolean
    jsc_value_object_delete_property (
      JSCValue* value,
      const char* name
    )

#### Description [src]

Try to delete property with `name` from `value`. This function will return `FALSE` if the property was defined without `JSC_VALUE_PROPERTY_CONFIGURABLE` flag.

#### Parameters

`name` | `const char*`
| The property name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the property was deleted, or `FALSE` otherwise.